### Constructor

# Gtk MediaFilenew_for_file

#### Declaration [src]

    GtkMediaStream*
    gtk_media_file_new_for_file (
      GFile* file
    )

#### Description [src]

Creates a new media file to play `file`.

#### Parameters

`file`

  Type: `GFile`

  The file to play.

  The data is owned by the caller of the function.

#### Return value

Type: `GtkMediaFile`

A new `GtkMediaFile` playing `file`.

The caller of the function takes ownership of the data, and is responsible for freeing it.